#!/bin/sh

if [ $# -eq 1 ]
then
    exec $0 < $1
elif [ $# -gt 1 ]
then
    print -u2 "Usage: $0 [cfg-file]"
    exit 1
fi

IFS="="

while read key value
do
    bla=${key#\[}
    bla=${bla%\]}
    if [ "$key" = "[$bla]" ]
    then
        typeset -u section=$bla
        if [ "$section" = "FIRST HOP" ]
        then
            section=FIRSTHOP
        fi
    else
        typeset -u key=$key
        echo "CEA_${section}_${key}=${value}"
    fi
done

# Added this to handle no newline at end of file:
if [ "$key" != "" ]
then
    typeset -u key=$key
    echo "CEA_${section}_${key}=${value}"
fi
