#!/bin/sh

echo "Start time:"
date

if [ $# -ne 1 ]; then
        echo "Usage: aix-audittrail-orig.sh <temp file name>"
        exit -1
fi;

if [ -z "$PROPSFILE" ]; then 
        echo "Value of environment variable PROPSFILE is incorrect."
        exit -1
fi;

TEMPfile=$1

echo "Parameters passed: $*"

#D0. Check for existing of PROPSFILE.aix-audittrail.original. If file exist:
if [ -f $PROPSFILE.aix-audittrail.original ]; then 
        #D0.1 Rename it to TEMPFILE6 filename
        mv $PROPSFILE.aix-audittrail.original $TEMPfile
        
        if [ $? -ne 0 ]; then
                echo "Can't rename $PROPSFILE.aix-audittrail.original $TEMPfile."
                exit -2
        fi;
else
        #D0.2 Create empty empty file TEMPFILE6. Return error code.
        echo "There is no $PROPSFILE.aix-audittrail.original file"
        cat /dev/null > $TEMPfile
        if [ $? -ne 0 ]; then
                echo "Can't create empty file."
                exit -3
        fi;

        exit -4
fi;

echo "End time:"
date

exit 0
